Subject: [Int-dir] late int-dir review of draft-ietf-regext-epp-registry-maintenance

From: Benno Overeinder <[email-masked]>
Date: Mon, 25 Oct 2021 00:15:04 +0200

Intdir Review draft-ietf-regext-epp-registry-maintenance-19

Note: The review is sent directly to the int-dir mailing list and the
authors.  Due to the late submission of the review, it was not
possible to submit it via datatracker.

I am an assigned INT directorate reviewer for
draft-ietf-regext-epp-registry-maintenance-19.  These comments were
written primarily for the benefit of the Internet Area Directors.
Document editors and shepherd(s) should treat these comments just like
they would treat comments from any other IETF contributors and resolve
them along with any other Last Call comments that have been received.
For more details on the INT Directorate, see
https://datatracker.ietf.org/group/intdir/about/.

Overall, I find the document well written and understandable.  I only
have questions on clarifications and think the draft is ready with
nits for publication.

In Section 1.1, there is some confusion on my part (and I see from
another reviewer too) with the comment: "maint" is used as an
abbreviation for "urn:ietf:params:xml:ns:epp:maintenance-1.0".  Is
"abbreviation" the right word for the association of the "maint"
prefix with the namespace?

Section 3.3 and further, the values for the OPTIONAL "lang" attribute
are define in RFC 5646/ISO 639-1?  Maybe be explicit about this?

Best,

-- Benno Overeinder

---

From: Jody Kolker <[email-masked]>
Date: Mon, 25 Oct 2021 11:58:05 +0000

Hi Beeno,

Thanks for your review of the draft.  We will remove the abbreviation from section 1.1 and replace the paragraph with:

Original:
   "maint" is used as an abbreviation for "urn:ietf:params:xml:ns:epp:
   maintenance-1.0". The XML namespace prefix "maint" is used, but
   implementations MUST NOT depend on it. Instead, they are to employ a
   proper namespace-aware XML parser and serializer to interpret and
   output the XML documents.

New:
The XML namespace prefix "maint" is used for the namespace
"urn:ietf:params:xml:ns:epp:maintenance-1.0", but implementations
 MUST NOT depend on it and instead employ a proper namespace-aware XML
 parser and serializer to interpret and output the XML documents.

We will also address the reference of 5646 in the maint:id paragraph:

Original:
<maint:id>
      The server unique identifier for the maintenance event with the
      OPTIONAL "name" attribute that includes a human-readable name of
      the event. The server unique identifier SHALL NOT be changed if
      the event is updated or deleted. When the "name" attribute is set,
      the OPTIONAL "lang" attribute MAY be present to identify the
      language if the negotiated value is something other than the
      default value of "en" (English).

New:
<maint:id>
      The server unique identifier for the maintenance event with the
      OPTIONAL "name" attribute that includes a human-readable name of
      the event. The server unique identifier SHALL NOT be changed if
      the event is updated or deleted. When the "name" attribute is set,
      the OPTIONAL "lang" attribute, per the language
      structure in [RFC5646], MAY be present to identify the
      language if the negotiated value is something other than the
      default value of "en" (English).

We will also add the Normative Reference:

   [RFC5646]  Phillips, A., Ed. and M. Davis, Ed., "Tags for Identifying
              Languages", BCP 47, RFC 5646, DOI 10.17487/RFC5646,
              September 2009, <https://www.rfc-editor.org/info/rfc5646>.

Please let us know if you have any questions.

Thanks,
Jody Kolker.

-----Original Message-----
From: Benno Overeinder <[email-masked]> 
Sent: Sunday, October 24, 2021 5:15 PM
To: [email-masked]; [email-masked]
Subject: late int-dir review of draft-ietf-regext-epp-registry-maintenance

[Some people who received this message don't often get email from [email-masked]. Learn why this is important at http://aka.ms/LearnAboutSenderIdentification.]

Caution: This email is from an external sender. Please do not click links or open attachments unless you recognize the sender and know the content is safe. Forward suspicious emails to isitbad@.

Note: The review is sent directly to the int-dir mailing list and the authors.  Due to the late submission of the review, it was not possible to submit it via datatracker.

I am an assigned INT directorate reviewer for draft-ietf-regext-epp-registry-maintenance-19.  These comments were written primarily for the benefit of the Internet Area Directors.
Document editors and shepherd(s) should treat these comments just like they would treat comments from any other IETF contributors and resolve them along with any other Last Call comments that have been received.
For more details on the INT Directorate, see https://nam10.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fgroup%2Fintdir%2Fabout%2F&amp;data=04%7C01%7Cjkolker%40godaddy.com%7C678435050217456e78dd08d9973bc255%7Cd5f1622b14a345a6b069003f8dc4851f%7C0%7C0%7C637707105338035288%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=fmzvJGLzr8VpaMypy%2B3vOCc8ogZ1gQI1vCcw8ZwVvYw%3D&amp;reserved=0.

Overall, I find the document well written and understandable.  I only have questions on clarifications and think the draft is ready with nits for publication.

In Section 1.1, there is some confusion on my part (and I see from another reviewer too) with the comment: "maint" is used as an abbreviation for "urn:ietf:params:xml:ns:epp:maintenance-1.0".  Is "abbreviation" the right word for the association of the "maint"
prefix with the namespace?

Section 3.3 and further, the values for the OPTIONAL "lang" attribute are define in RFC 5646/ISO 639-1?  Maybe be explicit about this?

Best,

-- Benno Overeinder

---

From: Benno Overeinder <[email-masked]>
Date: Mon, 25 Oct 2021 14:09:38 +0200

Hi Jody,

Thanks for your reply.  Your changes cover all my feedback.

Best regards,

-- Benno

-- 
Benno J. Overeinder
NLnet Labs
https://www.nlnetlabs.nl/